/*
 * It is advised not to edit the smartadmin_production.css
 * as this will override any changes you make in the 
 * later versions of this theme. 
 * 
 * We advise that you use use this CSS to override 
 * SmartAdmin styles. 
 * 
 * Rename the stylesheet to whatever your liking so it will stay
 * unique to you with each update of SmartAdmin.
 */

/*
 * INDEX
 * 
 * - HTML
 * - BODY
 * - CUSTOM STYLES
 */

/*
 * Here are the overwrites
 */

:root {
  --logo-width: 120px;
  --logo-height: 40px;
}

.popover {
  z-index: 10000 !important;
}

.smart-form .col-12 {
  width: 100%;
}

.dropdown-btn {
  box-sizing: border-box !important;
}

.fa-disabled {
  opacity: 0.4;
  cursor: not-allowed;
}

input.form-control,
select.form-control {
  padding: 5px !important;
  box-sizing: border-box !important;
}

.message-text {
  margin-left: 0px !important;
}

.sparks-info {
  border-left: none !important;
}

.sparks-info-borderLine {
  border-left: 1px solid whitesmoke !important;
  padding-left: 10px !important;
}

/*
 * End of overwrites
 */

/*
 * Helper classes
 */
.row.display-flex {
  display: flex;
  flex-wrap: wrap;
}

.row.display-flex>[class*="col-"] {
  display: flex;
  flex-direction: column;
}

/*
 * end of helper classes
 */

.sparks-info span {
  font-size: 14px !important;
}

.custom-my-note {
  width: 80%;
}

.custom-partner-note {
  width: 80%;
  align-self: flex-end;
}

.custom-note-list {
  display: flex;
  flex-direction: column;
}

.custom-row-red-color {
  background-color: red !important;
}

.custom-row-orange-color {
  background-color: orange !important;
}

.custom-row-darkkhaki-color {
  background-color: darkkhaki !important;
}

.custom-row-red-text {
  color: red !important;
}

.custom-row-orange-text {
  color: orange !important;
}

.custom-row-darkkhaki-text {
  color: darkkhaki !important;
}

.custom-color-impacts-level {
  color: red !important;
}

.custom-color-optional-level {
  color: darkgoldenrod !important;
}

.custom-color-suggested-level {
  color: orange !important;
}

.custom-color-not-used-level {
  color: green !important;
}

.custom-message {
  border-radius: 10px;
  padding: 10px;
  background: white;
  box-shadow: 0px 2px 3px 0px #bfbfbf;
}

.custom-time {
  padding: 10px;
}

.custom-fieldset {
  padding: 14px 14px;
  margin: 14px 0;
}

.custom-filter-input {
  min-width: 335px;
}

.custom-table-add-button {
  height: 31px;
  margin: 10px 0 0 5px;
  padding: 0 22px;
  font: 300 15px/29px "Open Sans", Helvetica, Arial, sans-serif;
  cursor: pointer;
}

.custom-margin {
  margin: 2px;
}

.custom-position-enable-disable {
  margin: 3px;
  position: absolute;
}

.custom-accordion-padding {
  padding: 10px;
}

.custom-accordion-paddingTopBottom {
  padding-top: 15px;
  padding-bottom: 15px;
}

.custom-logo-width-main {
  width: var(--logo-width) !important;
  height: var(--logo-height);
}

.custom-widget-button-margin-left {
  margin-left: 10px !important;
}

.custom-logo-width-auth {
  width: 80px !important;
}

.custom-auth-header {
  position: relative !important;
}

.custom-text-color-RegTek {
  color: #0c4d8d !important;
}

.custom-text-color-black {
  color: black !important;
}

.custom-text-color-red {
  color: #C02631 !important;
}

.custom-text-color-green {
  color: green !important;
}

.custom-text-color-orange {
  color: #c71d00 !important;
}

.custom-text-color-lightorange {
  color: #ffc7aa !important;
}

.custom-text-color-white {
  color: white !important;
}

.custom-text-color-orange:hover {
  color: #e43f23 !important;
}


.custom-loginForm-min-height {
  min-height: 200px !important;
}

.custom-datatable-backround {
  background-color: white !important;
}

.custom-backround-transparent {
  background: transparent !important;
}

.custom-backround-grey {
  background: #f4f4f4 !important;
}

.custom-box-container {
  position: relative;
  width: 100%;
  background-color: #fbfbfb;
  border: 1px solid #ddd;
  border-radius: 2px;
  box-shadow: 0 1px 1px #ececec;
  -webkit-box-shadow: 0 1px 1px #ececec;
  min-height: 20px;
  padding: 19px;
  margin-bottom: 20px;
}

.custom-line {
  border-bottom: 1px solid #0c4d8d;
  margin-bottom: 10px;
}

.custom-backgroun-color-RegTek {
  background-color: #0c4d8d !important;
}

.custom-backgroun-color-pricing {
  background-color: #eaeaea !important;
}

.custom-border-color-pricing {
  border-right: 1px solid #eceaea !important;
  border-left: 1px solid #eceaea !important;
}

.custom-list-group-padding {
  padding-left: 18em !important;
}

.custom-logo-padding {
  padding: 5em !important;
}

.custom-list-group-item-border {
  border-bottom: 1px solid #ddd !important;
  background-color: transparent !important;
  border: none;
  padding-left: 0em !important;
}

.custom-font-size {
  font-size: 22px !important;
}

.custom-font-size14 {
  font-size: 14px !important;
}

.custom-font-size12 {
  font-size: 12px !important;
}


.custom-documentcheck-result {
  font-size: 18px !important;
  padding-top: 5px !important;
  padding-bottom: 5px !important;
}

.custom-documentCheckVer-font-size {
  font-size: 18px !important;
}

.custom-font-size-button {
  font-size: 18px !important;
}

.custom-col-12 {
  width: 100%;
}

.custom-col-6 {
  width: 50%;
}

.custom-graph-padding {
  padding: 0px 50px 0px 50px !important;
}

.custom-graph-padding-bottom {
  padding-bottom: 50px !important;
  text-align: center !important;
}

.custom-graph-title {
  font-size: 20px !important;
  margin: 10px !important;
  color: #0c4d8d !important;
}

.custom-profile-pic>img {
  top: 0px !important;
  margin-bottom: 0px !important;
}

.custom-textarea {
  resize: none;
}

.custom-grid-icon {
  font-size: 20px !important;
  color: #0c4d8d !important;
  padding: 5px;
}

.custom-widget-header-icon {
  font-size: 20px !important;
  color: #0c4d8d !important;
}

.custom-input-field-disable {
  width: 100% !important;
  border: none !important;
  background-color: transparent !important;
  padding-top: 3px;
}

.custom-input-field-enable {
  width: 100% !important;
  color: black !important;
}

.custom-editMode {
  background-color: aliceblue !IMPORTANT;
}

.page-title {
  margin: 0 !important;
}

.sticky {
  position: -webkit-sticky;
  position: sticky;
  height: 50px;
  top: 0;
  background-color: #ebebeb;
  z-index: 900;
  margin-bottom: 10px;
}

.sticky-client {
  position: -webkit-sticky;
  position: sticky;
  height: 175px;
  top: 0;
  background-color: #ebebeb;
  z-index: 900;
}

.ngx-datatable.fixed-header .datatable-header .datatable-header-inner .datatable-header-cell {
  overflow: hidden !important;
  text-overflow: ellipsis !important;
  white-space: normal !important;
  /* text-align: center !important; */
  vertical-align: middle !important;
}

.custom-hidden {
  visibility: hidden !important;
}

.custom-hide-jarvis-border {
  border: none !important;
}

.custom-fixed-footer {
  background: #ececec !important;
  position: fixed;
  z-index: 901;
}

.custom-box-orange {
  background-color: #f0e8d6;
  padding: 10px;
  border: 1px solid #ec5c0f;
  min-width: 40px;
}


.horizontal-scrollable>.row {
  overflow-x: auto;
  white-space: nowrap;
  box-shadow: rgb(0 0 0 / 26%) 0px 1px 4px;
  padding: 15px 25px;
}

.textarea-full-screen {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 3px;
  border-radius: 2px;
  color: white;
  background: #74a074;
  position: absolute;
  top: 5px;
  right: 20px;
  cursor: pointer;
}

.textarea-full-screen-active {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100vw;
  height: 100vh !important;
  z-index: 9999999;
}

.textarea-full-screen.position-fixed {
  position: fixed !important;
  padding: 5px;
  z-index: 99999999;
  font-size: 15px;
  top: 7px;
  right: 25px;
}

body.overflow-hidden {
  overflow: hidden;
}

.dropdown-list .filter-textbox input {
  box-sizing: border-box;
}

.multiselect-dropdown .selected-item {
  margin-bottom: 3px;
}

.inputarea {
  background: transparent !important;
  border: none !important;
}

#header #logo-group {
  display: flex !important;
  align-items: center !important;
  justify-content: space-between !important;
}

#logo-unauth {
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100% !important;
}

#logo-unauth img {
  width: var(--logo-width);
  height: var(--logo-height);
}